<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: StanceIndicator Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/df3/class_stance_indicator.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">StanceIndicator Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a419e958c7afe1dd5223ed8df659409ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df3/class_stance_indicator.html#a419e958c7afe1dd5223ed8df659409ce">StanceIndicator</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a419e958c7afe1dd5223ed8df659409ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6972f0f25ab3aa49bb53dee2147dfaf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df3/class_stance_indicator.html#a6972f0f25ab3aa49bb53dee2147dfaf4">Update</a> ()</td></tr>
<tr class="separator:a6972f0f25ab3aa49bb53dee2147dfaf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afec9a50b96d1de99703bee41fdd215e0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df3/class_stance_indicator.html#afec9a50b96d1de99703bee41fdd215e0">DisplayStance</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> stance)</td></tr>
<tr class="separator:afec9a50b96d1de99703bee41fdd215e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0c6e0a89c50c85b839a67b23a1a82b5f"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df3/class_stance_indicator.html#a0c6e0a89c50c85b839a67b23a1a82b5f">m_State</a></td></tr>
<tr class="separator:a0c6e0a89c50c85b839a67b23a1a82b5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae165d5f264486a23addf634db856dbb"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df3/class_stance_indicator.html#aae165d5f264486a23addf634db856dbb">m_Player</a></td></tr>
<tr class="separator:aae165d5f264486a23addf634db856dbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html#l00001">1</a> of file <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html">StanceIndicator.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a419e958c7afe1dd5223ed8df659409ce" name="a419e958c7afe1dd5223ed8df659409ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a419e958c7afe1dd5223ed8df659409ce">&#9670;&#160;</a></span>StanceIndicator()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StanceIndicator::StanceIndicator </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html#l00006">6</a> of file <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html">StanceIndicator.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="afec9a50b96d1de99703bee41fdd215e0" name="afec9a50b96d1de99703bee41fdd215e0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afec9a50b96d1de99703bee41fdd215e0">&#9670;&#160;</a></span>DisplayStance()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StanceIndicator::DisplayStance </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>stance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html#l00034">34</a> of file <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html">StanceIndicator.c</a>.</p>

</div>
</div>
<a id="a6972f0f25ab3aa49bb53dee2147dfaf4" name="a6972f0f25ab3aa49bb53dee2147dfaf4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6972f0f25ab3aa49bb53dee2147dfaf4">&#9670;&#160;</a></span>Update()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StanceIndicator::Update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html#l00012">12</a> of file <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html">StanceIndicator.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aae165d5f264486a23addf634db856dbb" name="aae165d5f264486a23addf634db856dbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae165d5f264486a23addf634db856dbb">&#9670;&#160;</a></span>m_Player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> StanceIndicator::m_Player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html#l00004">4</a> of file <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html">StanceIndicator.c</a>.</p>

</div>
</div>
<a id="a0c6e0a89c50c85b839a67b23a1a82b5f" name="a0c6e0a89c50c85b839a67b23a1a82b5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c6e0a89c50c85b839a67b23a1a82b5f">&#9670;&#160;</a></span>m_State</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d2/d1b/class_human_movement_state.html">HumanMovementState</a> StanceIndicator::m_State</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html#l00003">3</a> of file <a class="el" href="../../de/d2e/_stance_indicator_8c_source.html">StanceIndicator.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../de/d2e/_stance_indicator_8c_source.html">StanceIndicator.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/df3/class_stance_indicator.html">StanceIndicator</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
